Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalDefinition

All Known Subinterfaces:
  PortletDefinition

public interface PortalDefinition
extends SimpleStringEJBObject

The PortalDefinition interface.

Method Summary
`int` | `getContentColumnCount()` Get content column count.
`java.lang.String` | `getContentURL()` Get content URL.
`java.lang.String` | `getFooterURL()` Get footer URL.
`java.lang.String` | `getHeaderURL()` Get header URL.
`java.lang.String` | `getName()` Get name.
`java.lang.String` | `getSuspendedURL()` Get suspended URL.
`boolean` | `isSuspended()` Is the portal suspended? (down for maintenance).
`void` | `setContentColumnCount(int aCount)` Set content column count.
`void` | `setContentURL(java.lang.String aURL)` Set content URL.
`void` | `setFooterURL(java.lang.String aURL)` Set footer URL.
`void` | `setHeaderURL(java.lang.String aURL)` Set header URL.
`void` | `setSuspended(boolean aBool)` Set suspended state.
`void` | `setSuspendedURL(java.lang.String aURL)` Set suspended/maintenance url.

Methods inherited from interface com.beasys.portal.ejb.SimpleStringEJBObject
`getId`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getName

    public java.lang.String getName()
                             throws java.rmi.RemoteException

  Get name.
  Returns:
    `String` the name.
  Throws:
    `RemoteException` - container error.

### getHeaderURL

    public java.lang.String getHeaderURL()
                                  throws java.rmi.RemoteException

  Get header URL.
  Returns:
    `String` the header URL.
  Throws:
    `RemoteException` - container error.

### setHeaderURL

    public void setHeaderURL(java.lang.String aURL)
                      throws java.rmi.RemoteException

  Set header URL.
  Parameters:
    `aURL` - the header url.
  Throws:
    `RemoteException` - container error.

### getFooterURL

    public java.lang.String getFooterURL()
                                  throws java.rmi.RemoteException

  Get footer URL.
  Returns:
    `String` the footer url.
  Throws:
    `RemoteException` - container error.

### setFooterURL

    public void setFooterURL(java.lang.String aURL)
                      throws java.rmi.RemoteException

  Set footer URL.
  Parameters:
    `aURL` - the footer url.
  Throws:
    `RemoteException` - container error.

### getContentURL

    public java.lang.String getContentURL()
                                   throws java.rmi.RemoteException

  Get content URL.
  Returns:
    `String` the content url.
  Throws:
    `RemoteException` - container error.

### setContentURL

    public void setContentURL(java.lang.String aURL)
                       throws java.rmi.RemoteException

  Set content URL.
  Parameters:
    `aURL` - the content url.
  Throws:
    `RemoteException` - container error.

### getContentColumnCount

    public int getContentColumnCount()
                              throws java.rmi.RemoteException

  Get content column count.
  Returns:
    `int` the count.
  Throws:
    `RemoteException` - container error.

### setContentColumnCount

    public void setContentColumnCount(int aCount)
                               throws java.rmi.RemoteException

  Set content column count.
  Parameters:
    `aCount` - the count.
  Throws:
    `RemoteException` - container error.

### isSuspended

    public boolean isSuspended()
                        throws java.rmi.RemoteException

  Is the portal suspended? (down for maintenance).
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setSuspended

    public void setSuspended(boolean aBool)
                      throws java.rmi.RemoteException

  Set suspended state. Is it down for maintenance?
  Parameters:
    `aBool` - the state.
  Throws:
    `RemoteException` - container error.

### setSuspendedURL

    public void setSuspendedURL(java.lang.String aURL)
                         throws java.rmi.RemoteException

  Set suspended/maintenance url.
  Parameters:
    `aURL` - the suspended url.
  Throws:
    `RemoteException` - container error.

### getSuspendedURL

    public java.lang.String getSuspendedURL()
                                     throws java.rmi.RemoteException

  Get suspended URL.
  Returns:
    `String` the maintenance url.
  Throws:
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved